[maemo-commits] [maemo-commits] r18059 - in projects/haf/trunk/maemo-launcher: client debian

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Tue Apr 14 16:09:29 EEST 2009
Author: makarhun
Date: 2009-04-14 16:09:28 +0300 (Tue, 14 Apr 2009)
New Revision: 18059

Removed:
   projects/haf/trunk/maemo-launcher/client/client.Version
   projects/haf/trunk/maemo-launcher/client/client.c
   projects/haf/trunk/maemo-launcher/debian/init.d
Modified:
   projects/haf/trunk/maemo-launcher/debian/maemo-launcher.install
   projects/haf/trunk/maemo-launcher/debian/rules
Log:
0.35

Deleted: projects/haf/trunk/maemo-launcher/client/client.Version
===================================================================
--- projects/haf/trunk/maemo-launcher/client/client.Version	2009-04-14 11:01:44 UTC (rev 18058)
+++ projects/haf/trunk/maemo-launcher/client/client.Version	2009-04-14 13:09:28 UTC (rev 18059)
@@ -1,6 +0,0 @@
-{
-  global:
-    main;
-  local:
-    *;
-};

Deleted: projects/haf/trunk/maemo-launcher/client/client.c
===================================================================
--- projects/haf/trunk/maemo-launcher/client/client.c	2009-04-14 11:01:44 UTC (rev 18058)
+++ projects/haf/trunk/maemo-launcher/client/client.c	2009-04-14 13:09:28 UTC (rev 18059)
@@ -1,72 +0,0 @@
-/*
- * $Id$
- *
- * Copyright (C) 2005, 2007, 2008 Nokia Corporation
- *
- * Author: Guillem Jover <guillem.jover at nokia.com>
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; version 2 of the License.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
- *
- */
-
-#include <gtk/gtk.h>
-#include <hildon/hildon-program.h>
-#include <hildon/hildon-window.h>
-
-void
-cleanup(void)
-{
-  g_print("called at exit time...\n");
-}
-
-int
-main(int argc, char *argv[])
-{
-  GTimer *timer;
-  HildonProgram *program;
-  HildonWindow *window;
-  int r;
-
-  timer = g_timer_new();
-
-  gtk_init(&argc, &argv);
-
-  g_print("gtk_init() took %f seconds\n", g_timer_elapsed(timer, NULL));
-
-  program = hildon_program_get_instance();
-  g_set_application_name("maemo-client");
-
-  window = HILDON_WINDOW(hildon_window_new());
-  hildon_program_add_window(program, window);
-
-  g_signal_connect(G_OBJECT(window), "destroy",
-                   G_CALLBACK(gtk_main_quit), NULL);
-
-  g_print("creating widgets took %f seconds\n", g_timer_elapsed(timer, NULL));
-
-  gtk_widget_show_all(GTK_WIDGET(window));
-  g_print("showing widgets took %f seconds\n", g_timer_elapsed(timer, NULL));
-
-  g_timer_destroy(timer);
-
-  g_print("installing exit function...\n");
-  r = atexit(cleanup);
-  if (r)
-    g_print("error while setting exit function (%d)\n", r);
-
-  gtk_main();
-
-  return 0;
-}
-

Deleted: projects/haf/trunk/maemo-launcher/debian/init.d
===================================================================
--- projects/haf/trunk/maemo-launcher/debian/init.d	2009-04-14 11:01:44 UTC (rev 18058)
+++ projects/haf/trunk/maemo-launcher/debian/init.d	2009-04-14 13:09:28 UTC (rev 18059)
@@ -1,102 +0,0 @@
-#! /bin/sh
-#
-# $Id$
-#
-
-set -e
-
-NAME=maemo-launcher
-DESC="Maemo Launcher"
-DAEMON=/usr/bin/$NAME
-# XXX: Disable the application crash notification (you might want to
-#      add '--send-app-died' back...)
-DAEMON_BASE_OPTS="--daemon --booster gtk"
-PIDFILE=/tmp/$NAME.pid
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-
-test -x $DAEMON || exit 0
-
-# Those files set needed environment variables for the Maemo applications
-# FIXME: but this should not be needed either, and should be inherited from
-#        the session instead.
-
-set_login_vars()
-{
-  export USER=$1
-  export LOGNAME=$USER
-  PWENTRY=`getent passwd $USER`
-  export HOME=`echo $PWENTRY | cut -d: -f6`
-  export SHELL=`echo $PWENTRY | cut -d: -f7`
-}
-
-# OSSO AF Init definitions
-DEFSDIR=/etc/osso-af-init/
-
-# When inside scratchbox we are not really root nor do we have 'user' user
-if [ -f /targets/links/scratchbox.config ]; then
-  set_login_vars `id -u -n`
-else
-  # FIXME: this is wrong wrong wrong, and should not be hardcoded, this script
-  #        belongs in the session level instead.
-  set_login_vars user
-fi
-
-if [ -e $DEFSDIR/af-defines.sh ]
-then
-  . $DEFSDIR/af-defines.sh
-else
-  echo "$DEFSDIR/af-defines.sh not found!"
-  exit 1
-fi
-
-# XXX: Reset the login variables, as af-defines.sh makes a mess and stomps
-#      on some of the variables we have already initialized!
-if [ -f /targets/links/scratchbox.config ]; then
-  set_login_vars `id -u -n`
-  DAEMON_OPTS="$DAEMON_BASE_OPTS"
-else
-  set_login_vars user
-  if [ `id -u` = 0 ]; then
-    CHUID="--chuid user"
-    # Make sure the launcher is not an OOM candidate
-    NICE="--nicelevel -1"
-  fi
-  DAEMON_OPTS="$DAEMON_BASE_OPTS --quiet"
-fi
-
-case "$1" in
-  start)
-    echo -n "Starting $DESC: $NAME"
-    start-stop-daemon --start --quiet --pidfile $PIDFILE $CHUID $NICE \
-      --exec $DAEMON -- $DAEMON_OPTS || echo -n " start failed"
-    echo "."
-    ;;
-  stop)
-    echo -n "Stopping $DESC: $NAME"
-    start-stop-daemon --stop --quiet --pidfile $PIDFILE --exec $DAEMON \
-      || echo -n " not running"
-    echo "."
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  reload|force-reload)
-    echo -n "Reloading $DESC: $NAME"
-    start-stop-daemon --stop --signal USR1 --quiet --pidfile $PIDFILE \
-      --exec $DAEMON || echo -n " not running"
-    echo "."
-    ;;
-  *)
-    N=/etc/init.d/$NAME
-    echo "Usage: $N {start|stop|restart|force-reload}" >&2
-    exit 1
-    ;;
-esac
-
-exit 0
-
-# vim: syn=sh
-

Modified: projects/haf/trunk/maemo-launcher/debian/maemo-launcher.install
===================================================================
--- projects/haf/trunk/maemo-launcher/debian/maemo-launcher.install	2009-04-14 11:01:44 UTC (rev 18058)
+++ projects/haf/trunk/maemo-launcher/debian/maemo-launcher.install	2009-04-14 13:09:28 UTC (rev 18059)
@@ -1,3 +1,4 @@
+etc/X11/Xsession.d/
 usr/bin/maemo-*
 usr/lib/maemo-launcher
 usr/share/man/man1/maemo-*

Modified: projects/haf/trunk/maemo-launcher/debian/rules
===================================================================
--- projects/haf/trunk/maemo-launcher/debian/rules	2009-04-14 11:01:44 UTC (rev 18058)
+++ projects/haf/trunk/maemo-launcher/debian/rules	2009-04-14 13:09:28 UTC (rev 18059)
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 #
-# $Id$
-#
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -61,6 +59,9 @@
 	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	
+	install -D $(CURDIR)/debian/maemo-launcher.Xsession \
+		$(CURDIR)/debian/tmp/etc/X11/Xsession.d/02maemo-launcher
+	
 	cp $(CURDIR)/debian/dh_maemolauncher \
 	   $(CURDIR)/debian/tmp/usr/bin
 	cp $(CURDIR)/debian/dh_maemolauncher.1 \
@@ -69,7 +70,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -i ChangeLog
+	dh_installchangelogs -i ChangeLog*
 	dh_installdocs -i
 	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
 	dh_link -i
@@ -83,7 +84,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -a ChangeLog
+	dh_installchangelogs -a ChangeLog*
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
@@ -91,7 +92,7 @@
 	dh_installinit -a --no-start -- start 45 2 3 4 . stop 45 0 1 5 6 .
 	dh_installman -a
 	dh_link -a
-	dh_strip --dbg-package=maemo-launcher
+	dh_strip -p maemo-launcher --dbg-package=maemo-launcher-dbg
 	dh_compress -a
 	dh_fixperms -a
 	chmod u+s $(CURDIR)/debian/maemo-launcher/usr/lib/maemo-launcher/defender


More information about the maemo-commits mailing list